BHP150 | AZD 1222 - Documentation #5979
change DOB for participant
20/04/2022 09:41 - Patrick Israel

Status: Resolved Start date: 20/04/2022
Priority: Urgent Due date:

Assignee: Samuel Kabelo % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

pi 150-040993686-9 date of birth should be 12 Sept 1995, please correct.

History

#1 - 20/04/2022 15:01 - moffat motlhanka

- Assignee changed from moffat motlhanka to Samuel Kabelo

#2 - 22/04/2022 06:18 - Samuel Kabelo

- Status changed from New to Resolved
